MULTISWITCH(9)

NAME

multiswitch - This component toggles between a specified number of output bits.

SYNOPSIS

loadrt multiswitch personality=P [cfg=N]

    cfg cfg should be a comma-separated list of sizes, for example cfg=2,4,6 would create 3 instances of 2, 4 and 6 bits respectively. Ignore the "personality" parameter, that is auto-generated.

FUNCTIONS

multiswitch.N (requires a floating-point thread)

PINS

multiswitch.N.up bit in (default: false)
    Receives signal to toggle up

multiswitch.N.down bit in (default: false)
    Receives signal to toggle down

multiswitch.N.bit-MM bit out (MM=00..personality) (default: false)
    Output bits

PARAMETERS

multiswitch.N.top-position u32 rw
    Number of positions

multiswitch.N.position s32 rw
    Current state (may be set in the HAL)

AUTHOR

ArcEye schooner30@tiscali.co.uk / Andy Pugh andy@bodgesoc.org

LICENSE

GPL